Subject: Re: [RFC] Questions for "Git User's Survey 2011"

From: David Aguilar <[email-masked]>
Date: Sat, 3 Sep 2011 01:45:31 -0700

On Mon, Jul 25, 2011 at 05:58:32PM -0400, Phil Hord wrote:
> On 07/25/2011 04:33 PM, Jakub Narebski wrote:
> > === 11. What Git interfaces, implementations and frontends do you use? ===
> > (multiple choice, with other)
> >
> >  + JGit (Java implementation), e.g. via Eclipse plugin
> >  + NGit or Git# (C# implementation)
> >  + Dulwich (pure-Python implementation)
> >  + Git::PurePerl (Perl implementation)
> >  + git.js (JavaScript)
> >  + libgit2 bindings
> >
> >  + git (core) commandline
> >  + Cogito (DEPRECATED)
> >  + Easy Git
> >  + Pyrite
> >  + I don't know, I only use (graphical) tools
> >
> >  + pg aka Patchy Git (DEPRECATED)
> >  + StGIT
> >  + Guilt
> >  + TopGit
> >
> >  + Zit
> >
> >  + other (please specify)
> 
> You can probably drop pg and Cogito now, yes?

I would drop Pyrite too.  The last activity was in 2008 and it
never went beyond pre-alpha.

> Looking at the 2010 results, I would add these GUIs to the main list:
> git-gui (core)
> gitk (core)
> gitX
> gitg
> git-cola
> TortoiseGit
> SmartGit
> Git Extensions
> Giggle

This is a better list ;-)
-- 
					David